import 'package:cs_resources/constants/color_constants.dart';
import 'package:domain/entity/response/job_template_s_g_entity.dart';
import 'package:domain/entity/response/job_title_s_g_entity.dart';
import 'package:domain/entity/response/labour_request_list_entity.dart';
import 'package:domain/entity/response/labour_request_s_g_entity.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:plugin_basic/basic_export.dart';
import 'package:widgets/ext/ex_widget.dart';
import 'package:widgets/my_button.dart';
import 'package:widgets/my_text_view.dart';

/**
 * 用工请求Item(新加坡)
 */
class LabourRequestItem extends StatelessWidget {
  final LabourRequestSGCountList item;

  LabourRequestItem({
    required this.item,
  });

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        MyTextView(
          "[${item.week}] ${item.date}",
          isFontRegular: true,
          fontSize: 16,
          textAlign: TextAlign.start,
          marginLeft: 34,
          textColor: item.today ? ColorConstants.textGreen0AC074 : Colors.white,
        ).expanded(flex: 6),
        MyTextView(
          "${item.realNum}/${item.hiringNum}",
          isFontBold: true,
          fontSize: 16,
          textAlign: TextAlign.right,
          marginRight: 50,
          textDecoration: TextDecoration.underline,
          decorationColor: ColorConstants.textYellowFFBB1B,
          decorationThickness: 2.0,
          decorationStyle: TextDecorationStyle.solid,
          textColor: ColorConstants.textYellowFFBB1B,
        ).expanded(flex: 4),
      ],
    ).paddingOnly(top: 7, bottom: 7);
  }
}
