//网络请求相关Api常量

class ApiConstants {
  //当前服务器环境
  static const isServerRelease = false;

  //越南的域名
  static const baseUrl = isServerRelease ? 'https://vietnam.casualabour.com' : 'http://vietnam-dev.casualabour.com';

  //新加坡的域名
  static const sgBaseUrl = isServerRelease ? 'https://singapore.casualabour.com' : 'http://singapore-dev.casualabour.com';

// =========================== 用户相关 ↓=========================================

  // 酒店登录
  static const apiUserLogin = "/index.php/api/v1/hotel/login";

  // 用户登出系统
  static const apiUserLogout = "/index.php/api/v1/hotel/logout";

  // 用户修改密码
  static const apiResetPassword = "/index.php/api/v1/hotel/reset";

  //获取用户的详情信息
  static const apiHotelInfo = "/index.php/api/v1/hotel/info";

  //用户注册
  static const apiHotelRegister = "/index.php/api/v1/hotel/register";

  //用户注销
  static const apiHotelDeactivate = "/index.php/api/v1/hotel/deactivate";

  // =========================== 用工请求 ↓=========================================

  //筛选条件
  static const apiLabourRequestIndex = "/index.php/api/v1/hotel/lab-req/index";

  //用工列表
  static const apiLabourRequestList = "/index.php/api/v1/hotel/lab-req/table";

  //添加的选择条件
  static const apiLabourRequestAddOption = "/index.php/api/v1/hotel/lab-req/add-view";

  //添加用工请求
  static const apiLabourRequestAddSubmit = "/index.php/api/v1/hotel/lab-req/add-submit";

  //编辑的选项
  static const apiLabourRequestEditDetail = "/index.php/api/v1/hotel/lab-req/edit-view";

  //编辑的发布
  static const apiLabourRequestEditSubmit = "/index.php/api/v1/hotel/lab-req/edit-submit";

  //用工请求的审核状态工作流
  static const apiLabourRequestStateWorkFlow = "/index.php/api/v1/hotel/lab-req/status-view";

  //撤回用工请求
  static const apiLabourRequestRecall = "/index.php/api/v1/hotel/lab-req/recall";

  // =========================== 工作列表 ↓=========================================

  // 工作列表首页选项
  static const apiJobListIndex = "/index.php/api/v1/hotel/job/index";

  // 工作列表首页列表
  static const apiJobListTable = "/index.php/api/v1/hotel/job/table";

  // 工作列表首页详情
  static const apiJobListDetail = "/index.php/api/v1/hotel/job/detail";

  // 工作已申请员工列表-工作的信息
  static const apiJobListAppliedJobInfo = "/index.php/api/v1/hotel/applied/index";

  // 工作已申请员工列表-员工列表
  static const apiJobListAppliedStaffList = "/index.php/api/v1/hotel/applied/table";

  // 工作已申请员工列表-添加员工查询全部员工
  static const apiJobListAppliedStaffSearch = "/index.php/api/v1/hotel/applied/staff-view";

  // 工作已申请员工列表-添加员工提交
  static const apiJobListAppliedStaffAdd = "/index.php/api/v1/hotel/applied/staff-submit";

  // 工作已申请员工列表-批量修改员工状态
  static const apiJobListAppliedStaffBatchEdit = "/index.php/api/v1/hotel/applied/batch-edit";

  // 工作已申请员工列表-编辑员工信息的详情数据
  static const apiJobListAppliedStaffEditIndex = "/index.php/api/v1/hotel/applied/edit-view";

  // 工作已申请员工列表-编辑员工信息提交
  static const apiJobListAppliedStaffEditSubmit = "/index.php/api/v1/hotel/applied/edit-submit";

  // 工作已申请员工列表-评价员工的详情数据
  static const apiJobListAppliedStaffReviewIndex = "/index.php/api/v1/hotel/applied/remark-view";

  // 工作已申请员工列表-评价员工的提交
  static const apiJobListAppliedStaffReviewSubmit = "/index.php/api/v1/hotel/applied/remark-submit";

  // 工作已申请员工列表-评价员工的提交
  static const apiJobListAppliedStaffStateWorkflow = "/index.php/api/v1/hotel/applied/status-view";

  // 工作已申请员工列表- 提交指定员工们到审核流程
  static const apiJobListAppliedApprove = "/index.php/api/v1/hotel/applied/approve";

  //员工详情
  static const apiJobListStaffDetail = "/index.php/api/v1/hotel/member/detail";

  //员工做工历史记录
  static const apiJobListStaffLabourHistory = "/index.php/api/v1/hotel/member/history";

  //员工做工评价记录
  static const apiJobListStaffRemarkHistory = "/index.php/api/v1/hotel/member/remarks";

  // =========================== 签到签出 ↓=========================================

  // 用户签到签出列表
  static const apiSignApplied = "/index.php/api/v1/hotel/sign/table";

  // 用户签到签出
  static const apiSignInOut = "/index.php/api/v1/hotel/sign/clock";

  // =========================== 新加坡用工 ↓=========================================

  // 工作标题列表
  static const apiJobTitleListSG = "/index.php/api/v1/hotel/title/table";

  // 添加工作标题的选项数据
  static const apiJobTitleAddIndexSG = "/index.php/api/v1/hotel/title/add-view";

  // 添加工作标题提交
  static const apiJobTitleAddSubmitSG = "/index.php/api/v1/hotel/title/add-submit";

  // 编辑工作标题的选项数据
  static const apiJobTitleEditIndexSG = "/index.php/api/v1/hotel/title/edit-view";

  // 编辑工作标题提交
  static const apiJobTitleEditSubmitSG = "/index.php/api/v1/hotel/title/edit-submit";

  // 删除工作标题
  static const apiJobTitleDeleteSG = "/index.php/api/v1/hotel/title/delete";

  // 工作模板列表
  static const apiJobTemplateListSG = "/index.php/api/v1/hotel/temp/table";

  // 添加工作模板选项数据
  static const apiJobTemplateAddIndexSG = "/index.php/api/v1/hotel/temp/add-view";

  // 添加工作模板选提交
  static const apiJobTemplateAddSubmitSG = "/index.php/api/v1/hotel/temp/add-submit";

  // 编辑工作模板选项数据
  static const apiJobTemplateEditIndexSG = "/index.php/api/v1/hotel/temp/edit-view";

  // 编辑工作模板提交
  static const apiJobTemplateEditSubmitSG = "/index.php/api/v1/hotel/temp/edit-submit";

  // 删除工作模板
  static const apiJobTemplateDeleteSG = "/index.php/api/v1/hotel/temp/delete";

  //用工请求首页数据
  static const apiLabourRequestMainSG = "/index.php/api/v1/hotel/lab-req/index";

  //用工请求的添加页面选项数据
  static const apiLabourRequestAddIndexSG = "/index.php/api/v1/hotel/lab-req/add-view";

  //用工请求的添加提交
  static const apiLabourRequestAddSubmitSG = "/index.php/api/v1/hotel/lab-req/add-submit";

  // =========================== 新加坡工作相关 ↓=========================================


  // =========================== 报表与其他 ↓=========================================

  // 设备列表
  static const apiDeviceList = "/index.php/api/v1/hotel/device/table";

}
