
import 'package:domain/entity/response/device_list_entity.dart';
import 'package:get/get.dart';
import 'package:plugin_platform/dio_export.dart';
import 'package:plugin_platform/http/http_provider.dart';
import 'package:plugin_platform/http/http_result.dart';
import 'package:shared/utils/util.dart';

import '../constants/api_constants.dart';


/// 报表与其他的相关数据
class OtherRepository extends GetxService {
  HttpProvider httpProvider;

  OtherRepository({required this.httpProvider});

  // 雇主的设备列表
  Future<HttpResult<DeviceListEntity>> fetchDeviceList({
        required int curPage,
        CancelToken? cancelToken,
      }) async {
    //参数
    Map<String, String> params = {};
    params["cur_page"] = curPage.toString();
    params["page_size"] = "10";

    final result = await httpProvider.requestNetResult(
      ApiConstants.apiDeviceList,
      params: params,
      cancelToken: cancelToken,
    );

    //根据返回的结果，封装原始数据为Bean/Entity对象
    if (result.isSuccess) {
      //重新赋值data或list
      final json = result.getDataJson();
      var data = DeviceListEntity.fromJson(json!);
      //重新赋值data或list
      return result.convert<DeviceListEntity>(data: data);
    }
    return result.convert();
  }


}
